# MacroContext_s Struct Reference

`#include <rpmmacro.h>`

## Data Fields

MacroEntry * | macroTable
int | macrosAllocated
int | firstFree

## Detailed Description

The structure used to store the set of macros in a context.

Definition at line 19 of file rpmmacro.h.

## Field Documentation

int MacroContext_s::firstFree

| No. of macros. Definition at line 22 of file rpmmacro.h. Referenced by addMacro(), expandMacroTable(), findEntry(), freeArgs(), rpmDumpMacroTable(), rpmFreeMacros(), rpmLoadMacros(), and sortMacroTable().

int MacroContext_s::macrosAllocated

| No. of allocated macros. Definition at line 21 of file rpmmacro.h. Referenced by addMacro(), and expandMacroTable().

MacroEntry* MacroContext_s::macroTable

| Macro entry table for context. Definition at line 20 of file rpmmacro.h. Referenced by addMacro(), expandMacroTable(), findEntry(), freeArgs(), rpmDumpMacroTable(), rpmFreeMacros(), rpmLoadMacros(), and sortMacroTable().

The documentation for this struct was generated from the following file:

- rpmio/rpmmacro.h